<?php 
require_once('../modelos/Contrato.php');
$contrato = new Contrato();

$idpersona=isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";

switch ($_GET['op']) {
    case 'listar_datos':
        $idcliente = $_GET['idcliente'];
        $tipo_servicio = $_GET['tipo_servicio']; // puede venir por session
        $rspta = $contrato->listarContratosPorCliente($idcliente,$tipo_servicio);

        $data = [];

        while ($reg = $rspta->fetch_assoc()) {
            $data[] = $reg;
        }

        echo json_encode($data);
        break;

        
        case 'listar':
            $rspta = $contrato->listar_activos();
            $data = array();

            while ($reg = $rspta->fetch_object()) {
            $data[] = [
                "imagen_url" => $reg->nombre_imagen,
                "tipo_imagen" => $reg->tipo_imagen
            ];
            }

            echo json_encode($data);
            break;

            case 'selectContrato': 
            $rspta = $contrato->selectContrato($idpersona);
            if ($rspta) {
                while ($reg = $rspta->fetch_object()) {
                    echo "<option value='" . htmlspecialchars($reg->idcontrato, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nrocontrato, ENT_QUOTES, 'UTF-8') . "</option>";
                }
            } else {
                echo "<option value=''>No hay almacens disponibles</option>";
            }
            break;
       
}
?>